Debian Bug report logs - #470417
fail2ban: please support ipv6 addresses (and ipv6tables)

Package: fail2ban; Maintainer for fail2ban is Yaroslav Halchenko <debian@onerussian.com>; Source for fail2ban is src:fail2ban.

Reported by: Bernd Zeimetz <bernd@bzed.de>

Date: Tue, 11 Mar 2008 02:24:02 UTC

Severity: wishlist

Tags: ipv6, jessie, sid, squeeze, upstream, wheezy

Forwarded to Cyril Jaquier <cyril.jaquier@fail2ban.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#470417; Package fail2ban. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
New Bug report received and forwarded. Copy sent to Yaroslav Halchenko <debian@onerussian.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: submit@bugs.debian.org
Subject: fail2ban: please support ipv6 addresses (and ipv6tables)
Date: Tue, 11 Mar 2008 03:13:00 +0100
Package: fail2ban
Severity: wishlist
Tags: ipv6

Hi,

unfortunately fail2ban does not support ipv6, which is a release goal
for Lenny: http://release.debian.org/lenny/goals.txt

Please add support for ipv6, probably using the IPy module which should
support v6 just fine.
I'll try to come up with a patch, but I'm not sure if I'll find the time
to do so.


Thanks,

Bernd

-- 
Bernd Zeimetz
<bernd@bzed.de>                         <http://bzed.de/>




Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 470417-forwarded@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Cyril Jaquier <cyril.jaquier@fail2ban.org>
Cc: Bernd Zeimetz <bernd@bzed.de>, 470417-forwarded@bugs.debian.org
Subject: Re: Bug#470417: fail2ban: please support ipv6 addresses (and ipv6tables)
Date: Mon, 10 Mar 2008 23:13:08 -0400
Hi Bernd,

I could be totally wrong, but imho internally there is not much (besides
name resolution I guess and regexp for HOST) is tightened toward IPv4.
since all what fail2ban  does is monitoring log files and running
external commands, as long as those support ipv6 we should be fine. Do
you foresee any other (besides mentioned above) complications?

I am forwarding this bug also to upstream author, since this issue might
interest him as well ;-)

On Tue, 11 Mar 2008, Bernd Zeimetz wrote:

> Package: fail2ban
> Severity: wishlist
> Tags: ipv6

> Hi,

> unfortunately fail2ban does not support ipv6, which is a release goal
> for Lenny: http://release.debian.org/lenny/goals.txt

> Please add support for ipv6, probably using the IPy module which should
> support v6 just fine.
> I'll try to come up with a patch, but I'm not sure if I'll find the time
> to do so.


> Thanks,

> Bernd
-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#470417; Package fail2ban. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Yaroslav Halchenko <debian@onerussian.com>. Full text and rfc822 format available.

Message #13 received at 470417@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 470417@bugs.debian.org
Cc: Cyril Jaquier <cyril.jaquier@fail2ban.org>
Subject: Re: Bug#470417: fail2ban: please support ipv6 addresses (andipv6tables)
Date: Tue, 11 Mar 2008 17:06:32 +0100
Hi,

> I could be totally wrong, but imho internally there is not much (besides
> name resolution I guess and regexp for HOST) is tightened toward IPv4.
> since all what fail2ban  does is monitoring log files and running
> external commands, as long as those support ipv6 we should be fine. Do
> you foresee any other (besides mentioned above) complications?

There are at least two things to take care of imho:

- the name resolution is v4 only. I'm not sure if that's a general
  Python problem or not, though. Imho name resolution is only needed
  if all we know is a hostname, so all IPs of this hostname should
  be blocked (although I don't really like this idea, imho fail2ban
  should only work on real IPs only). Actually I don't even know how
  fail2ban handles hostnames, as I feed it with IPs only.
  So for every bad IP, iptables or ip6tables needs to be called,
  depending on if we have a v4 or a v6 IP. That's not too hard to figure
  out by using a regexp. Also what I've mentioned before, I really like
  to trust the IPy module for such tasks.

- the imho bigger problem is to find a way to use iptables or ip6tables,
  based on the IP of the attacker.

That's all I can think about at the moment, but I'm not realyl awake :)

Cheers,

Bernd





Tags added: upstream Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 15:33:13 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:04:11 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:20 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:31:14 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#470417; Package fail2ban. (Tue, 26 Apr 2011 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. (Tue, 26 Apr 2011 23:36:03 GMT) Full text and rfc822 format available.

Message #28 received at 470417@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 470417@bugs.debian.org
Subject: upstream discussions/patches
Date: Tue, 26 Apr 2011 19:34:28 -0400
See [Fail2ban-users] IPv6 support
http://sourceforge.net/mailarchive/message.php?msg_id=27249783

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#470417; Package fail2ban. (Thu, 05 Jul 2012 13:15:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to klemens z <zwiskle@gmail.com>:
Extra info received and forwarded to list. Copy sent to Yaroslav Halchenko <debian@onerussian.com>. (Thu, 05 Jul 2012 13:15:21 GMT) Full text and rfc822 format available.

Message #33 received at 470417@bugs.debian.org (full text, mbox):

From: klemens z <zwiskle@gmail.com>
To: 470417@bugs.debian.org
Subject: some people fixed it already
Date: Thu, 5 Jul 2012 15:05:59 +0200
Hi bug,

just want to mention this:

http://www.isalo.org/wiki.debian-fr/index.php?title=Fail2ban

Looks like they have solved the ipv6 & fail2ban issues.

Not sure if this is the author, or just somebody's hack - at least
sounds promising.
open-source rocks!

.klemens




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#470417; Package fail2ban. (Thu, 05 Jul 2012 14:12:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. (Thu, 05 Jul 2012 14:12:25 GMT) Full text and rfc822 format available.

Message #38 received at 470417@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: klemens z <zwiskle@gmail.com>, 470417@bugs.debian.org
Subject: Re: Bug#470417: some people fixed it already
Date: Thu, 5 Jul 2012 10:11:31 -0400
On Thu, 05 Jul 2012, klemens z wrote:
> Hi bug,

hello H20+additives ;-)

> just want to mention this:

> http://www.isalo.org/wiki.debian-fr/index.php?title=Fail2ban

> Looks like they have solved the ipv6 & fail2ban issues.

> Not sure if this is the author, or just somebody's hack - at least
> sounds promising.
yes

see
https://github.com/fail2ban/fail2ban/issues/39
and work of
https://github.com/Th4nat0s/fail2ban

so it is somewhat on the way

> open-source rocks!

indeed

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:44:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:19:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.